Package csb :: Package numeric :: Module integrators

[frames] | no frames]

# Module integrators

source code

provides various integration schemes and an abstract gradient class.

Classes
| AbstractGradient Abstract gradient class.
| AbstractIntegrator Abstract integrator class.
| FastLeapFrog Leap Frog integration scheme implementation that calculates position and momenta at unequal times by concatenating the momentum updates of two successive integration steps.
| LeapFrog Leap Frog integration scheme implementation that calculates position and momenta at equal times.
| VelocityVerlet Velocity Verlet integration scheme implementation.

Variables
| __package__ = ``'``csb.numeric``'``